package com.tzld.piaoquan.recommend.server.service.rank;

import com.tzld.piaoquan.recommend.server.model.MachineInfo;
import com.tzld.piaoquan.recommend.server.service.recall.RecallResult;
import lombok.Data;

import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class RankParam {
    private RecallResult recallResult;
    private int size;
    private int topK;
    private String rankKeyPrefix;
    private double flowPoolP;
    private String abCode;
    private int appType;
    private boolean specialRecommend;
    private String mid;
    private String province;
    private String city;
    private MachineInfo machineInfo;
    private Set<String> abExpCodes;
    private Long headVid=0L;

    // 层 - 实验
    private Map<String, String> expIdMap;

    private Integer categoryId;

}
