package com.tzld.piaoquan.recommend.server.service.recall;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class RecallParam {
    private String regionCode;
    private String cityCode;
    private String mid;
    private int appType;
    private String dataKey;
    private String ruleKey;
    private String province;

    // hardcode   兼容旧服务的518实验
    private String hDataKey;
    private String hRuleKey;

    private String abCode;
    private int size;
    private String flowPoolAbtestGroup;
    private int lastDigit;
    private Long videoId;
    private String uid;
    private boolean specialRecommend;
    private int expansionFactor;
    private Boolean riskFilterFlag;
    private Map<Integer, List<String>> appRegionFiltered;
    private List<Long> videosWithRisk;
    private Set<String> abExpCodes;
    // 层 - 实验
    private Map<String, String> expIdMap;
    private Integer categoryId;

    private Long hotSceneType;

    private String clientIp;

}
